Subject: [PATCH to REVERT] Re: ax25 rose Re: kernel panic linux-2.6.27-rc7

From: Jarek Poplawski <[email-masked]>
Date: Mon, 6 Oct 2008 00:05:10 +0200

David, please read below:
------------------------>

On Sun, Oct 05, 2008 at 11:18:20PM +0200, Bernard, f6bvp wrote:
> Jarek,
> 
> Yes, previous reports were without reverting David's patch.
> Now I have removed David's patch (ax25_std_timer.c) and reverted 9A4GL
> patch (af_ax25.c).
> Thus present kernel is the original plus 9A4GL patch plus your AX25_DBG
> and netrom patches and minus David's patch.
> The system has been stable for two hours and there is nothing special
> in /var/log/messages as can be seen the sample below.   

Great! So, I think we could agree with this:

1. Reverting this patch fixes the oops which started this thread:

	commit 30902dc3cb0ea1cfc7ac2b17bcf478ff98420d74
	Author: David S. Miller <[email-masked]>
	Date:   Tue Jun 17 21:26:37 2008 -0700

	ax25: Fix std timer socket destroy handling.

2. Alternative (original) fix proposed by Tihomir Hidelberg:
	http://marc.info/?l=linux-netdev&m=121370472223572&w=2 
   doesn't seem to cause any problems.

David, please reconsider these changes as reported and tested
by Bernard.

Bernard, 
It looks like my netrom patch removes these unorphaned sockets from
this debugging log, so I'll resend this signed off soon.

Since now, please, treat these 1. & 2. above plus lib8390 & netrom
patches as a base for next tests, and if there are again any new
bugs from new tests, start new threads for them.

Thanks,
Jarek P.